<div *ngIf="viewMode; else editable">
 
</div>

<ng-template #editable>
  <div *ngIf="form.id" class="edit-form">
    <h4>Requirement</h4>
    <form>
      <div class="form-group">
        <label for="name">Name</label>
        <input
          type="text"
          class="form-control"
          id="name"
          required
          [(ngModel)]="form.name"
          name="name"
        />
      </div>

      <div class="form-group">
        <label for="description">Description</label>
        <input
          class="form-control"
          id="description"
          required
          [(ngModel)]="form.description"
          name="description"
        />
      </div>

      <div class="form-group">
        <label for="userApplicantId">User ID applicant</label>
        <input
          class="form-control"
          id="userApplicantId"
          type="number"
          min="1"
          pattern="^[0-9]+"
          required
          [(ngModel)]="form.userApplicantId"
          name="userApplicantId"
        />
      </div>
    </form>

    

    <!--<button class="badge badge-danger mr-2" (click)="deleteTutorial()">
      Delete
    </button>-->

    <button
      type="button"
      class="badge badge-success mb-2"
      (click)="updateRecord()"
    >
      Update
    </button>
    <p>{{ message }}</p>
  </div>

  <div *ngIf="!form.id">
    <br />
    <p>Cannot access this Tutorial...</p>
  </div>
</ng-template>
